Details

    • Type: Improvement
    • Status: Closed
    • Priority: Neutral
    • Resolution: Fixed
    • Affects Version/s: 5.4
    • Fix Version/s: 5.5
    • Component/s: None
    • Labels:

      Description

      Currently we use Guice 3.0. Google Guice 4.0 brings in the following improvements: https://github.com/google/guice/wiki/Guice40

      Apart from that we obviously should stick to the most actual versions of the used libraries, such upgrade is essential for further adopting of Java 8 (see http://tinyurl.com/njayy4c for further details)

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                ejervidalo Espen Jervidalo
                Reporter:
                rgange Richard Gange
              • Votes:
                3 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Date of First Response: